petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreatePartitionerGraph

Create a CSR graph of point connections for the partitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreatePartitionerGraph(DM dm, PetscInt height, PetscInt *numVertices, PetscInt **offsets, PetscInt **adjacency, IS *globalNumbering)

### Input Parameters

| dm | - The mesh DM dm
| height | - Height of the strata from which to construct the graph

### Output Parameter

| numVertices | - Number of vertices in the graph
| offsets | - Point offsets in the graph
| adjacency | - Point connectivity in the graph
| globalNumbering | - A map from the local cell numbering to the global numbering used in "adjacency". Negative indicates that the cell is a duplicate from another process.

The user can control the definition of adjacency for the mesh using DMPlexGetAdjacencyUseCone() and DMPlexSetAdjacencyUseClosure(). They should choose the combination appropriate for the function representation on the mesh.

### See Also

PetscPartitionerGetType(), PetscPartitionerCreate(), DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages